Get or create an Online A/B assignment with server-side filtering
POST
https://api.evidential.dev/v1/experiments/{experiment_id}/assignments/{participant_id}/assign_with_filters
Gets or creates an arm assignment for a participant on experiments using server-side filtering. If an assignment already exists, that assignment is returned and the properties in the request body are ignored.
If there are no filters on the experiment, use the get_assignment endpoint.
Authorization
Path parameters
Query parameters
Request body JSON required
Returns
200
Successful Response
400
The request is invalid. Check that the request body matches the required structure and that all required fields and headers are present.
403
You did not provide a valid API key, or your API key does not have permission for this operation.
Tip: Check that the API key in the X-API-Key header has access to the data source or experiment.
404
The resource was not found, or you do not have access to it.
Tip: Check that the API key in the X-API-Key header has access to the data source or experiment.